#!/usr/bin/env node

import cliEngine from '@toptal/davinci-cli-shared'

import newCommandCreator from '../src/commands/new.js'
import newAppCommandCreator from '../src/commands/new-app.js'
import newLibCommandCreator from '../src/commands/new-lib.js'

cliEngine.loadCommands(
  [newCommandCreator, newAppCommandCreator, newLibCommandCreator],
  'davinci-bootstrap'
)
cliEngine.bootstrap()
